[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# outportb

Write byte to I/O port

## Declaration

Source position: go32.pp line 155

`procedure outportb(`
`port: Word;`
`data: Byte`
`);`

## Description

Sends 1 byte of data to the specified I/O port.

Parameters:

port
  the I/O port number to send data to.
data
  value sent to I/O port.

Return values: None.

## Errors

None.

## See also

inportb |  | Read byte from I/O port
outportl |  | Write longint to I/O port
outportw |  | Write word to I/O port

## Example

    uses
            crt,
            go32;

    begin
            outportb($61, $ff);
            delay(50);
            outportb($61, $0);
    end.

Documentation generated on: Feb 26 2014